#
# Generalised Bitmap Module
#
# This makefile is for Open Watcom C++ on OS/2.
#
# Builds extended GBM command line tools (hbm).
# As GBM.DLL is built multithreaded, all users should also be multithreaded.

# Location of gbm libs and public header files
GBM  = ..\gbmos2

# ------------------
# Configure compiler
# ------------------

#
# Using Open Watcom C++:
#
CC      = wcc386
CL      = wlink

# Builds gbm objects which are compiled multithreaded
# Therefore all users should also be multithreaded
CWARNS     = -wx
CFLAGS     = $(CWARNS) -i$(GBM) -zq -onatx -ei -zp8 -6 -fp5 -bm -mf
CFLAGS_DBG = $(CWARNS) -i$(GBM) -zq -ei -zp8 -6 -fp5 -bm -mf -d2 /DDEBUG

LFLAGS     = SYSTEM os2v2 op q op el op stack=0x6000
LFLAGS_DBG = SYSTEM os2v2 op q d all op stack=0x6000

#CFLAGS     = $(CFLAGS_DBG)
#LFLAGS     = $(LFLAGS_DBG)

#

.SUFFIXES:	.c .obj

.c.obj:
		$(CC) $(CFLAGS) $*.c

#

all:    gbmcreate.exe


# ------------
# Bitmap tools
# ------------

gbmcreate.exe:	gbmcreate.obj $(GBM)\gbm.lib
		$(CL) $(LFLAGS) name $@ file gbmcreate.obj library $(GBM)\gbm.lib

gbmcreate.obj:	gbmcreate.c $(GBM)\gbm.h


# ------------------------
# Build management targets
# ------------------------

clean:
	 -del /N *.obj 2> nul

clobber:
	 -del /N *.obj *.exe 2> nul

#

install:

#

package:
