# Makefile for Zlib (static + DLL)

# This makefile is for Open Watcom C++ on OS/2.
# It builds the Zlib library as a statically as well as a dynamically
# linkable library (.LIB).

# Modify this line to point to the zlib library 1.2.3 or higher
ZLIB = ..\zlib.123

# set directory where binaries will be placed by target install
IDIR = bin

#
# Using Open Watcom C++:
#
CC      = wcc386
CL      = wlink
CLIB    = wlib

# Builds libpng objects which are compiled multithreaded
# Therefore all users should also be multithreaded
CWARNS     = -wx -wcd=124 -wcd=136
CFLAGS     = $(CWARNS) -i$(ZLIB) -bd -zq -onatbrmkie -ei -zp8 -6 -fp5 -bm -mf
CFLAGS_DBG = $(CWARNS) -i$(ZLIB) -bd -zq -ei -zp8 -6 -fp5 -bm -mf -d2 /DDEBUG

LFLAGS     = SYSTEM os2v2_dll op q op el op stack=0x6000 op caseexact
LFLAGS_DBG = SYSTEM os2v2_dll op q d all op stack=0x6000 op caseexact

LIBFLAGS     = -q -n -b -c

#CFLAGS   = $(CFLAGS_DBG)
#LFLAGS   = $(LFLAGS_DBG)


.SUFFIXES:	.c .obj

.c.obj:
		$(CC) $(CFLAGS) $*.c

#

OBJS = png.obj pngset.obj pngget.obj pngrutil.obj pngtrans.obj pngwutil.obj \
       pngread.obj pngrio.obj pngwio.obj pngwrite.obj pngrtran.obj          \
       pngwtran.obj pngmem.obj pngerror.obj pngpread.obj

all:   png.dll png.lib pngdll.lib

png.dll:  $(OBJS) pngos2.lnk
          $(CL) $(LFLAGS) @pngos2 name $@ file png.obj,pngset.obj,pngget.obj,pngrutil.obj,pngtrans.obj,pngwutil.obj,\
                                               pngread.obj,pngrio.obj,pngwio.obj,pngwrite.obj,pngrtran.obj,\
                                               pngwtran.obj,pngmem.obj,pngerror.obj,pngpread.obj,\
                                               $(ZLIB)\z.lib

pngdll.lib:  pngos2.lnk
	     $(CLIB) $(LIBFLAGS) $@ +png.dll

png.lib:  $(OBJS)
          $(CLIB) $(LIBFLAGS) $@ +png.obj +pngset.obj +pngget.obj +pngrutil.obj +pngtrans.obj +pngwutil.obj\
                                 +pngread.obj +pngrio.obj +pngwio.obj +pngwrite.obj +pngrtran.obj\
                                 +pngwtran.obj +pngmem.obj +pngerror.obj +pngpread.obj

png.obj:  png.c png.h pngconf.h
          $(CC) $(CFLAGS) $*.c


# ------------------------
# Build management targets
# ------------------------

clean:
         -del /N *.obj *.lst 2> nul

clobber:
         -del /N *.obj *.lst *.exe *.lib *.dll $(IDIR)\* 2> nul

install:
         copy png.dll     $(IDIR)
         copy png.lib     $(IDIR)
         copy pngdll.lib  $(IDIR)
         copy png.h       $(IDIR)
         copy pngconf.h   $(IDIR)

package:
         -del /N $(IDIR)\libpng128.zip
         zip -9 $(IDIR)\libpng128.zip png.dll png.lib pngdll.lib png.h pngconf.h

